<?php 
if ( ! class_exists( 'tripify_Theme_Footer_Section_Customizer' ) ) :

/**
   * Settings for customizer Footer Section 
**/
class tripify_Theme_Footer_Section_Customizer {

    public function __construct() {

        add_action( 'customize_register', array( $this, 'tripify_Footer_Section_customizer_options' ) );

    }

    /****
         * Customizer options
    ****/
    public function tripify_Footer_Section_customizer_options( $wp_customize ) {

        /*****
              * tripify Theme Footer Customizer Section 
        *****/
        $wp_customize->add_section(
            'tripify_Theme_Footer_Section',
            array(
                'title'    => esc_html__( 'Footer Section', 'tripify' ),
                'priority' => 20,
            )
        );

        /*****
             * Fooeter Copyright Text Settings
        *****/
        $wp_customize->add_setting(
            'tripify_Footer_Copyright_Text_Settings',
            array(
                'transport'         => 'postMessage',
                'sanitize_callback' => 'tripify_Footer_Section_Sanitize_Text_Function',

            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'tripify_Footer_Copyright_Text_Settings',
                array(
                    'label'           => esc_html__( 'Copyright Text', 'tripify' ),
                    'type'            => 'text',
                    'section'         => 'tripify_Theme_Footer_Section',
                    'settings'        => 'tripify_Footer_Copyright_Text_Settings',
                    'priority'        => 1,
                )
            )
        );
		
		$wp_customize->add_setting(
            'tripify_Footer_Widegt_Area',
            array(
                'type'=>'theme_mod',
				'default'=>'1',
				'sanitize_callback' => 'tripify_sanitize_checkbox',
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'tripify_Footer_Widegt_Area',
                array(
                    'label'           => esc_html__( 'Enable Fooeter Widget Area', 'tripify' ),
                    'type'            => 'checkbox',
                    'section'         => 'tripify_Theme_Footer_Section',
                    'settings'        => 'tripify_Footer_Widegt_Area',
                    'priority'        => 1,
                )
            )
        );

        // Sanitize Text Function For Home Product Slider Section
        function tripify_Footer_Section_Sanitize_Text_Function( $text ) {
            return sanitize_text_field( $text );
        }
		
		function tripify_sanitize_checkbox( $checked ) {
			// Boolean check.
			return ( ( isset( $checked ) && true == $checked ) ? true : false );
		}

    }

}
endif;
// Call Class 
new tripify_Theme_Footer_Section_Customizer(); 