<?php
/**
   * Theme Social Customizer Options
   *
   * @package tripify 
   * 
   * @since 1.0.0
   * 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
	// Exit if accessed directly.
}

if ( ! class_exists( 'tripify_Theme_Social_Customizer_Options' ) ) :

	/**
	   * Settings for Theme Social Csustomizer.
	**/
	class tripify_Theme_Social_Customizer_Options {

		public function __construct() {

			add_action( 'customize_register', array( $this, 'tripify_Theme_Social_Customizer_Options_Function' ) );

		}

		/****
		     * Tripify Theme Social Customizer options.
		****/
		public function tripify_Theme_Social_Customizer_Options_Function( $wp_customize ) {

			/*****
			    * Tripify Theme Social Section Csustomizer.
			*****/
			$wp_customize->add_section(
				'tripify_theme_social_section',
				array(
					'title'    => esc_html__( 'Social Section', 'tripify' ),
					'priority' => 10,
				)
			);

			/*****
			    * Mobile Number
			*****/
			$wp_customize->add_setting(
				'tripify_social_Mobile_Number_Setting',
				array(
					'transport'         => 'postMessage',
					'sanitize_callback' => 'tripify_Social_Section_Sanitize_Text_Function',
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'tripify_social_Mobile_Number_Setting',
					array(
						'label'           => esc_html__( 'Mobile Number', 'tripify' ),
						'type'            => 'number',
						'section'         => 'tripify_theme_social_section',
						'settings'        => 'tripify_social_Mobile_Number_Setting',
						'priority'        => 1,
					)
				)
			);

			/*****
			    * Email Address
			*****/
			$wp_customize->add_setting(
				'tripify_social_Email_Address_Setting',
				array(
					'transport'         => 'postMessage',
					'sanitize_callback' => 'tripify_Social_Section_Sanitize_Text_Function',
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'tripify_social_Email_Address_Setting',
					array(
						'label'           => esc_html__( 'Email Address', 'tripify' ),
						'type'            => 'text',
						'section'         => 'tripify_theme_social_section',
						'settings'        => 'tripify_social_Email_Address_Setting',
						'priority'        => 2,
					)
				)
			);

			/*****
			    * Behance Account Link
			*****/
			$wp_customize->add_setting(
				'tripify_Social_Behance_Account_Link_Setting',
				array(
					'transport'         => 'postMessage',
					'sanitize_callback' => 'tripify_Social_Section_Sanitize_Text_Function',
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'tripify_Social_Behance_Account_Link_Setting',
					array(
						'label'           => esc_html__( 'Behance Link', 'tripify' ),
						'type'            => 'text',
						'section'         => 'tripify_theme_social_section',
						'settings'        => 'tripify_Social_Behance_Account_Link_Setting',
						'priority'        => 3,
					)
				)
			); 

			/*****
			    * Twitter Account Link
			*****/
			$wp_customize->add_setting(
				'tripify_Social_Twitter_Account_Link_Setting',
				array(
					'transport'         => 'postMessage',
					'sanitize_callback' => 'tripify_Social_Section_Sanitize_Text_Function',
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'tripify_Social_Twitter_Account_Link_Setting',
					array(
						'label'           => esc_html__( 'Twitter Link', 'tripify' ),
						'type'            => 'text',
						'section'         => 'tripify_theme_social_section',
						'settings'        => 'tripify_Social_Twitter_Account_Link_Setting',
						'priority'        => 4,
					)
				)
			); 

			/*****
			    * Facebook Account Url
			*****/
			$wp_customize->add_setting(
				'tripify_social_Facebook_Account_Url_Section',
				array(
					'transport'         => 'postMessage',
					'sanitize_callback' => 'tripify_Social_Section_Sanitize_Text_Function',
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'tripify_social_Facebook_Account_Url_Section',
					array(
						'label'           => esc_html__( 'Facebook Link', 'tripify' ),
						'type'            => 'text',
						'section'         => 'tripify_theme_social_section',
						'settings'        => 'tripify_social_Facebook_Account_Url_Section',
						'priority'        => 5,
					)
				)
			);

			/*****
			    * Google Account Link
			*****/
			$wp_customize->add_setting(
				'tripify_Social_Google_Account_Link_Setting',
				array(
					'transport'         => 'postMessage',
					'sanitize_callback' => 'tripify_Social_Section_Sanitize_Text_Function',
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'tripify_Social_Google_Account_Link_Setting',
					array(
						'label'           => esc_html__( 'Google Plus Link', 'tripify' ),
						'type'            => 'text',
						'section'         => 'tripify_theme_social_section',
						'settings'        => 'tripify_Social_Google_Account_Link_Setting',
						'priority'        => 6,
					)
				)
			); 

			// Sanitize Text Function For Social Section
			function tripify_Social_Section_Sanitize_Text_Function( $text ) {
				return sanitize_text_field( $text );
			}
		}
	}
endif;
// Call Class Here
new tripify_Theme_Social_Customizer_Options();