<?php
/**
  * Enqueue scripts and styles.
  * 
  * @package tripify
  *  
  * @since 1.0.0
  *
**/
 
	if ( ! defined( 'ABSPATH' ) ) {
		exit;
		// Exit if accessed directly.
	} 

	if ( ! class_exists( 'tripify_theme_enqueue_scripts' ) ) :
		
		class tripify_theme_enqueue_scripts {

			public function __construct() {

				add_action( 'wp_enqueue_scripts', array( $this, 'tripify_scripts' ) );

			}

			function tripify_scripts() {
			
				wp_enqueue_style( 'tripify-bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-animate', get_template_directory_uri() . '/assets/css/animate.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-all', get_template_directory_uri() . '/assets/css/all.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-slicknav', get_template_directory_uri() . '/assets/css/slicknav.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-slick-theme', get_template_directory_uri() . '/assets/css/slick-theme.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-slick', get_template_directory_uri() . '/assets/css/slick.css"', array(), _S_VERSION );
				
				wp_enqueue_style( 'tripify-lity', get_template_directory_uri() . '/assets/css/lity.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-woocommerce', get_template_directory_uri() . '/assets/css/woocommerce.css', array(), _S_VERSION );
				
				wp_enqueue_style( 'tripify-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-responsive', get_template_directory_uri() . '/assets/css/responsive.css', array(), _S_VERSION );

				wp_enqueue_style( 'tripify-style', get_stylesheet_uri(), array(), _S_VERSION );

				wp_enqueue_script( 'tripify-jquery' );
				wp_enqueue_script( 'tripify-bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.js',array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-popper', get_template_directory_uri() . '/assets/js/popper.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'bootstrap-datepicker', get_template_directory_uri() . '/assets/js/bootstrap-datepicker.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-jquery.slicknav', get_template_directory_uri() . '/assets/js/jquery.slicknav.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-slick', get_template_directory_uri() . '/assets/js/slick.js', array('jquery'), _S_VERSION, true );
				
				wp_enqueue_script( 'tripify-waypoints', get_template_directory_uri() . '/assets/js/waypoints.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-lity', get_template_directory_uri() . '/assets/js/lity.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-isotope.pkgd', get_template_directory_uri() . '/assets/js/isotope.pkgd.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-imagesloaded', get_template_directory_uri() . '/assets/js/imagesloaded.js', array(), _S_VERSION, true );

				wp_enqueue_script( 'tripify-navigation', get_template_directory_uri() . '/assets/js/navigation.js', array(), _S_VERSION, true );
				wp_enqueue_script( 'tripify-main', get_template_directory_uri() . '/assets/js/main.js', array(), _S_VERSION, true );
				if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
					wp_enqueue_script( 'comment-reply' );
				}
			}
		}

	endif;
	
new tripify_theme_enqueue_scripts();